> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single run of a routine

> Required token scopes: `routine|update`



## OpenAPI

````yaml /swagger.json get /base/{baseId}/routine/{routineId}/run/{runId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /base/{baseId}/routine/{routineId}/run/{runId}:
    get:
      tags:
        - routine
      summary: Get a single run of a routine
      description: 'Required token scopes: `routine|update`'
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: routineId
          in: path
        - schema:
            type: string
          required: true
          name: runId
          in: path
      responses:
        '200':
          description: The run
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  routineId:
                    type: string
                  snapshotId:
                    type: string
                  chatId:
                    type: string
                    nullable: true
                  status:
                    type: string
                    enum:
                      - pending
                      - running
                      - success
                      - failed
                      - canceled
                  errorMsg:
                    type: object
                    nullable: true
                    properties:
                      reason:
                        type: string
                        enum:
                          - runFail
                          - timeout
                          - creditExceed
                          - overlap
                          - queueTimeout
                      message:
                        type: string
                    required:
                      - reason
                    additionalProperties:
                      nullable: true
                  plannedAt:
                    type: string
                    nullable: true
                    description: >-
                      The scheduled occurrence this run served; null for a
                      manual run
                  startedAt:
                    type: string
                    nullable: true
                  finishedAt:
                    type: string
                    nullable: true
                  spent:
                    type: number
                    nullable: true
                    description: Execution wall-clock time in ms
                  createdTime:
                    type: string
                  lastAssistantText:
                    type: string
                    nullable: true
                    description: >-
                      The last text part of this run's assistant reply; null
                      while the run is in flight or when it produced no text
                required:
                  - id
                  - routineId
                  - snapshotId
                  - chatId
                  - status
                  - errorMsg
                  - plannedAt
                  - startedAt
                  - finishedAt
                  - spent
                  - createdTime
                  - lastAssistantText
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/base/%7BbaseId%7D/routine/%7BroutineId%7D/run/%7BrunId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/base/%7BbaseId%7D/routine/%7BroutineId%7D/run/%7BrunId%7D';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/routine/%7BroutineId%7D/run/%7BrunId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/base/%7BbaseId%7D/routine/%7BroutineId%7D/run/%7BrunId%7D",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````